# The MEME Suite

## Motif-based sequence analysis tools

## glam2mask

### Usage:

`glam2mask [options] <glam2 motif> <sequences>`

### Description

This program masks a glam2 motif out of sequences, so that weaker motifs can be found. Masking replaces residues aligned to key positions with the symbol 'x'. By alternately applying glam2 and glam2mask several times, it is possible to find the strongest, second-strongest, third-strongest, etc. motifs in a set of sequences.

### Input

#### GLAM2 Motif

The GLAM2 motif to mask with 'x' in the sequences.

#### Sequences

The FASTA formatted sequences to mask.

### Output

The input sequences are output with the GLAM2 motif sites masked out with 'x's. The sequences are normally sent to standard output but this can be changed by specifying the -o option.

### Options

Option | Parameter | Description | Default Behaviour
--- | --- | --- | ---
General Options
-o | output file | The masked sequences are written to output file. | The masked sequences are written to standard output.
-x | mask character | The instances of the glam2 motif are masked out with the mask character. | The instances of the glam2 motif are masked out with 'x'.

### Examples

- Mask the top motif in my_motif.glam2 out of my_seqs.fa, and store the result in mask1.fa:
  `glam2mask -o mask1.fa my_motif.glam2 my_seqs.fa`
- Mask the top motif in my_motif.glam2 out of my_seqs.fa, using 'n' as the mask symbol:
  `glam2mask -x n my_motif.glam2 my_seqs.fa`